WEBINARSandboxes for AI agents, Oct 7th.Sandboxes: give your AI agents a real machine. Live on October 7th.Register free

ClickHouse

View as Markdown
  • PATCH
  • /workspaces
  • /:workspace
  • /targets
  • /:target_id

Update ClickHouse target configuration

Request

REQUIRED SCOPES
TARGET_WRITE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

target_idrequiredstring
Target unique identifier (hash ID)

Example: "tgt-1234567890abcdef"

BODY PARAMETERS
typestring
The type of the target

Value: CLICKHOUSE

idstring
The ID of the target
identifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).
namestring
The name of the target
projectShortProjectView
Short representation of a project
pipelineShortPipelineView
Short representation of a pipeline
environmentShortEnvironmentView
permissionsPermissionsView
Access permissions configuration
pipelines_access_levelstring enum
Pipelines access level for this target
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this target
sandboxes_access_levelstring enum
Sandboxes access level for this target
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_sandboxesAllowedSandboxView[]
List of specific sandboxes allowed to use this target
disabledboolean
Indicates if this target is disabled (default: false)
tagsstring[]
The list of tags associated with the target

Constraints: Unique items required

use_asUseAsView
Defines how the target can be used (as deployment target, proxy, or both)
notestring
Note for this resource
agent_notestring
YAML note for AI agents operating on this resource
hostrequiredstring
The hostname or IP address of the ClickHouse server
portstring
The native protocol port of the ClickHouse server. Default: 9000
databasestring
The default database name
secureboolean
Whether to use a TLS-secured native protocol connection. Default: false
authrequiredClickhouseAuthView
ClickHouse authentication credentials
proxyTargetK8sProxyView
SSH proxy target for tunneling to private ClickHouse servers

Response

RESPONSE BODY
typestring
The type of the target

Value: CLICKHOUSE

urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idstring
The ID of the target
identifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).
namestring
The name of the target
projectShortProjectView
Short representation of a project
pipelineShortPipelineView
Short representation of a pipeline
environmentShortEnvironmentView
permissionsPermissionsView
Access permissions configuration
pipelines_access_levelstring enum
Pipelines access level for this target
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this target
sandboxes_access_levelstring enum
Sandboxes access level for this target
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_sandboxesAllowedSandboxView[]
List of specific sandboxes allowed to use this target
disabledboolean
Indicates if this target is disabled (default: false)
tagsstring[]
The list of tags associated with the target

Constraints: Unique items required

use_asUseAsView
Defines how the target can be used (as deployment target, proxy, or both)
notestring
Note for this resource
agent_notestring
YAML note for AI agents operating on this resource
hostrequiredstring
The hostname or IP address of the ClickHouse server
portstring
The native protocol port of the ClickHouse server. Default: 9000
databasestring
The default database name
secureboolean
Whether to use a TLS-secured native protocol connection. Default: false
authrequiredClickhouseAuthView
ClickHouse authentication credentials
proxyTargetK8sProxyView
SSH proxy target for tunneling to private ClickHouse servers

Last modified on Sep 21, 2026

Request example

curl -X PATCH "https://api.buddy.works/workspaces/:workspace/targets/:target_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "type": "CLICKHOUSE", "identifier": "production-clickhouse", "name": "Production ClickHouse", "host": "clickhouse.example.com", "port": "9000", "database": "myapp", "secure": false, "auth": { "method": "PASSWORD", "username": "deploy_user", "password": "secured" }, "tags": [ "clickhouse", "production" ] }'
STATUS
200 OK